Muito bem, amigos, depois de meses de tribulações, consegui resolver um problema que já achava ser sem solução. Agora, para todos os meus compadres usuários de Opera – todos os cinco =D – que estão com essa mesma dificuldade, aqui vai uma ajuda. Espero que o Google nos encontre rápido e pessoas não tenham que sofrer o que sofri...

O Problema

Opera e Flash não combinam muito bem. No Windows, não há problemas, a versão do Flash para o Opera funciona perfeitamente bem. Entretanto, no Linux a coisa não funciona tão bem. Logo que atualizei o Flash da versão... 6, se não me engano, para a 8, o Flash no Opera simplesmente parou de funcionar, embora o Mozilla estivesse feliz...

O que houve?

Depois de meses e meses de procura infundada por alguém que soubesse o que cargas trolhas estava acontecendo com meu Opera, fui ao lugar para onde, pelo visto, deveria ter ido desde o início: o site do Opera. Suporte, procura, "flash"... e lá estava o problema:

To run properly, Adobe Flash Player 9 Update 3 requires a GTK browser. Hence it is not compatible with the Opera 9.2x series of browsers on Intel FreeBSD, Intel Linux, Intel Solaris, and Sparc Solaris.

Isso, o Opera 9.2x não é GTK, e portanto não vai rolar. Se você não entendeu, não se preocupe, não é tão importante. Isso só significa que, por picunhas de interface, o Flash não consegue mostrar conteúdo no Opera.

A solução

Instale o Opera 0.5 beta. Vai, não precisa ter tanto medo, se paralisar, não é nada que um "kill" não resolva.

E então instale o Flash. Diferente da versão anterior, este agora é compatível com o Opera e fará a instalação normalmente. Daí é só aproveitar! :D

Lição do dia: suporte do desenvolvedor funciona, por incrível que o pareça.